=== debian/changelog ===
python-einx (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1111853)

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 Aug 2025 22:00:15 +0100
